from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XWizard(Protocol):
    def getCurrentPage(self) -> XWizardPage: ...
    def enableButton(self, WizardButton: int, Enable: bool) -> None: ...
    def setDefaultButton(self, WizardButton: int) -> None: ...
    def travelNext(self) -> bool: ...
    def travelPrevious(self) -> bool: ...
    def updateTravelUI(self) -> None: ...
    def advanceTo(self, PageId: int) -> bool: ...
    def goBackTo(self, PageId: int) -> bool: ...
